%define upstream_name    Config-MVP
%define upstream_version 0.092360

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Multivalue-property config-loading state machine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Moose)
BuildRequires: perl(Tie::IxHash)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
MVP is a state machine for loading configuration (or other information) for
libraries. It expects to generate a list of named sections, each of which
relates to a Perl namespace and contains a set of named parameters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.92.360-1mdv2010.0
+ Revision: 420856
- update to 0.092360

* Tue Aug 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.92.211-6mdv2010.0
+ Revision: 415035
- update to 0.092211

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.92.100-6mdv2010.0
+ Revision: 408648
- force rebuild
- update to 0.092100

* Sun Jul 26 2009 Jérôme Quelin <jquelin@mandriva.org> 0.92.60-1mdv2010.0
+ Revision: 400198
- update to 0.092060

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.92.40-1mdv2010.0
+ Revision: 399306
- import perl-Config-MVP


* Fri Jul 24 2009 cpan2dist 0.092040-1mdv
- initial mdv release, generated with cpan2dist
